<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\HandleTnWeitermeldung;

class HandleTnWeitermeldungController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleTnWeitermeldungUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new HandleTnWeitermeldungRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->folgekurs = \PostOperations::getVarValue('knr');

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action, $requestObj->knr . '_' . $requestObj->folgekurs);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerController(null, $pUseCaseResponse->statusMessage);
  }
}